For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • POSTCreate MCP server
          • DELDelete MCP server
          • GETList MCP servers
          • GETGet MCP server
          • GETList MCP server tools
          • PATCHUpdate MCP server configuration
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceMCP

Create MCP server

POST
/v1/convai/mcp-servers
POST
/v1/convai/mcp-servers
$curl -X POST https://api.elevenlabs.io/v1/convai/mcp-servers \
> -H "Content-Type: application/json" \
> -d '{
> "config": {
> "url": "string",
> "name": "string"
> }
>}'
1{
2 "id": "string",
3 "config": {
4 "url": "string",
5 "name": "string",
6 "approval_policy": "require_approval_all",
7 "tool_approval_hashes": [
8 {
9 "tool_name": "string",
10 "tool_hash": "string",
11 "approval_policy": "requires_approval"
12 }
13 ],
14 "transport": "SSE",
15 "secret_token": {
16 "secret_id": "string"
17 },
18 "request_headers": {},
19 "auth_connection": {
20 "auth_connection_id": "string"
21 },
22 "description": "",
23 "pre_tool_speech": "auto",
24 "disable_interruptions": false,
25 "tool_call_sound": "typing",
26 "tool_call_sound_behavior": "auto",
27 "execution_mode": "immediate",
28 "response_timeout_secs": 30,
29 "tool_config_overrides": [
30 {
31 "tool_name": "string",
32 "pre_tool_speech": "auto",
33 "disable_interruptions": true,
34 "tool_call_sound": "typing",
35 "tool_call_sound_behavior": "auto",
36 "execution_mode": "immediate",
37 "response_timeout_secs": 1,
38 "assignments": [
39 {
40 "dynamic_variable": "string",
41 "value_path": "string",
42 "source": "response",
43 "sanitize": false,
44 "preserve_native_type": false
45 }
46 ],
47 "input_overrides": {},
48 "response_mocks": [
49 {
50 "mock_result": "string",
51 "parameter_conditions": [
52 {
53 "eval": {
54 "type": "string",
55 "description": "string"
56 },
57 "path": "string"
58 }
59 ]
60 }
61 ],
62 "force_pre_tool_speech": true
63 }
64 ],
65 "disable_compression": false,
66 "force_pre_tool_speech": false
67 },
68 "metadata": {
69 "created_at": 1,
70 "owner_user_id": "string"
71 },
72 "access_info": {
73 "is_creator": true,
74 "creator_name": "John Doe",
75 "creator_email": "john.doe@example.com",
76 "role": "admin",
77 "access_source": "creator"
78 },
79 "dependent_agents": [
80 {
81 "type": "available",
82 "access_level": "admin",
83 "created_at_unix_secs": 1,
84 "id": "string",
85 "name": "string",
86 "referenced_resource_ids": [
87 "string"
88 ]
89 }
90 ]
91}
Create a new MCP server configuration in the workspace.
Was this page helpful?
Previous

Delete MCP server

Next
Built with

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
configobjectRequired
Configuration details for the MCP Server.

Response

Successful Response
idstring
configobject
metadataobject
The metadata of the MCP Server
access_infoobject or null
The access information of the MCP Server
dependent_agentslist of objects
List of agents that depend on this MCP Server.

Errors

422
Unprocessable Entity Error